<?php
namespace Incoviba\Controller\Ventas;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Incoviba\Common\Alias\View;
use Incoviba\Service;

class Estados
{
    public function edit(ServerRequestInterface $request, ResponseInterface $response,
                         View $view, Service\Venta $ventaService, int $venta_id): ResponseInterface
    {
        $venta = $ventaService->getById($venta_id);
        return $view->render($response, 'ventas.estado', compact('venta'));
    }
}
